Name:		texlive-scheme
Version:	20111101
Release:	7
Summary:	TeXLive schemes
Group:		Publishing
URL:		http://tug.org/texlive
License:	http://www.tug.org/texlive/LICENSE.TL
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-basic.tar.xz
Source1:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-context.tar.xz
Source2:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-full.tar.xz
Source3:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-gust.tar.xz
Source4:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-medium.tar.xz
Source5:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-minimal.tar.xz
Source6:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-tetex.tar.xz
Source7:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/scheme-xml.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
BuildArch:	noarch

%description
TeXLive schemes.

#-----------------------------------------------------------------------
# revision 17228
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	basic
Summary:	basic scheme (plain and LaTeX)
Requires(pre):	texlive-tlpkg
Requires:	texlive-collection-basic
Requires:	texlive-collection-latex

%description	basic
This is the basic TeX Live scheme: it is a small set of files
sufficient to typeset plain TeX or LaTeX documents in
PostScript or PDF, using the Computer Modern fonts.  This
scheme corresponds to collection-basic and collection-latex.

%files		basic

#-----------------------------------------------------------------------
# revision 23157
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	context
Summary:	ConTeXt scheme
Requires(pre):	texlive-tlpkg
Requires:	texlive-collection-context
Requires:	texlive-collection-metapost
Requires:	texlive-tex-gyre
Requires:	texlive-antt
Requires:	texlive-iwona
Requires:	texlive-kurier
Requires:	texlive-poltawski
Requires:	texlive-txfonts
Requires:	texlive-pxfonts
Requires:	texlive-eulervm
Requires:	texlive-marvosym
Requires:	texlive-wasy
Requires:	texlive-ly1
Requires(post):	texlive-context.bin

%description	context
This is the TeX Live scheme for installing ConTeXt.

%post		context
    %{_sbindir}/texlive.post

%postun		context
    if [ $1 -eq 0 ]; then
	%{_sbindir}/texlive.post

%files		context

#-----------------------------------------------------------------------
# revision 21417
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	full
Summary:	full scheme (everything)
Requires(pre):	texlive-tlpkg
Requires:	texlive-collection-basic
Requires:	texlive-collection-bibtexextra
Requires:	texlive-collection-binextra
Requires:	texlive-collection-context
Requires:	texlive-collection-documentation-arabic
Requires:	texlive-collection-documentation-base
Requires:	texlive-collection-documentation-bulgarian
Requires:	texlive-collection-documentation-chinese
Requires:	texlive-collection-documentation-czechslovak
Requires:	texlive-collection-documentation-dutch
Requires:	texlive-collection-documentation-english
Requires:	texlive-collection-documentation-finnish
Requires:	texlive-collection-documentation-french
Requires:	texlive-collection-documentation-german
Requires:	texlive-collection-documentation-italian
Requires:	texlive-collection-documentation-japanese
Requires:	texlive-collection-documentation-korean
Requires:	texlive-collection-documentation-mongolian
Requires:	texlive-collection-documentation-polish
Requires:	texlive-collection-documentation-portuguese
Requires:	texlive-collection-documentation-russian
Requires:	texlive-collection-documentation-serbian
Requires:	texlive-collection-documentation-slovenian
Requires:	texlive-collection-documentation-spanish
Requires:	texlive-collection-documentation-thai
Requires:	texlive-collection-documentation-turkish
Requires:	texlive-collection-documentation-ukrainian
Requires:	texlive-collection-documentation-vietnamese
Requires:	texlive-collection-fontsextra
Requires:	texlive-collection-fontsrecommended
Requires:	texlive-collection-fontutils
Requires:	texlive-collection-formatsextra
Requires:	texlive-collection-games
Requires:	texlive-collection-genericextra
Requires:	texlive-collection-genericrecommended
Requires:	texlive-collection-htmlxml
Requires:	texlive-collection-humanities
Requires:	texlive-collection-langafrican
Requires:	texlive-collection-langarabic
Requires:	texlive-collection-langarmenian
Requires:	texlive-collection-langcjk
Requires:	texlive-collection-langcroatian
Requires:	texlive-collection-langcyrillic
Requires:	texlive-collection-langczechslovak
Requires:	texlive-collection-langdanish
Requires:	texlive-collection-langdutch
Requires:	texlive-collection-langfinnish
Requires:	texlive-collection-langfrench
Requires:	texlive-collection-langgerman
Requires:	texlive-collection-langgreek
Requires:	texlive-collection-langhebrew
Requires:	texlive-collection-langhungarian
Requires:	texlive-collection-langindic
Requires:	texlive-collection-langitalian
Requires:	texlive-collection-langlatin
Requires:	texlive-collection-langlatvian
Requires:	texlive-collection-langlithuanian
Requires:	texlive-collection-langmongolian
Requires:	texlive-collection-langnorwegian
Requires:	texlive-collection-langother
Requires:	texlive-collection-langpolish
Requires:	texlive-collection-langportuguese
Requires:	texlive-collection-langspanish
Requires:	texlive-collection-langswedish
Requires:	texlive-collection-langtibetan
Requires:	texlive-collection-langturkmen
Requires:	texlive-collection-langenglish
Requires:	texlive-collection-langvietnamese
Requires:	texlive-collection-latex
Requires:	texlive-collection-latexextra
Requires:	texlive-collection-latexrecommended
Requires:	texlive-collection-luatex
Requires:	texlive-collection-mathextra
Requires:	texlive-collection-metapost
Requires:	texlive-collection-music
Requires:	texlive-collection-omega
Requires:	texlive-collection-pictures
Requires:	texlive-collection-plainextra
Requires:	texlive-collection-pstricks
Requires:	texlive-collection-publishers
Requires:	texlive-collection-science
Requires:	texlive-collection-texinfo
Requires:	texlive-collection-xetex

%description	full
This is the full TeX Live scheme: it installs everything
available.

%files		full

#-----------------------------------------------------------------------
# revision 21479
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	gust
Summary:        GUST TeX Live scheme
Requires(pre):	texlive-tlpkg
Requires:	texlive-FAQ-en
Requires:	texlive-Type1fonts
Requires:	texlive-amslatex-primer
Requires:	texlive-amstex
Requires:	texlive-antt
Requires:	texlive-bibtex8
Requires:	texlive-comment
Requires:	texlive-comprehensive
Requires:	texlive-concrete
Requires:	texlive-cyklop
Requires:	texlive-dvidvi
Requires:	texlive-dviljk
Requires:	texlive-gustprog
Requires:	texlive-impatient
Requires:	texlive-iwona
Requires:	texlive-metafont-beginners
Requires:	texlive-metapost-examples
Requires:	texlive-poltawski
Requires:	texlive-pstricks-tutorial
Requires:	texlive-seetexk
Requires:	texlive-seminar
Requires:	texlive-tds
Requires:	texlive-tex4ht
Requires:	texlive-texdoc
Requires:	texlive-collection-basic
Requires:	texlive-collection-context
Requires:	texlive-collection-documentation-polish
Requires:	texlive-collection-fontutils
Requires:	texlive-collection-fontsrecommended
Requires:	texlive-collection-genericrecommended
Requires:	texlive-collection-langpolish
Requires:	texlive-collection-latex
Requires:	texlive-collection-latexrecommended
Requires:	texlive-collection-metapost
Requires:	texlive-collection-xetex

%description	gust
This is the GUST TeX Live scheme: it is a set of files
sufficient to typeset Polish plain TeX, LaTeX and ConTeXt
documents in PostScript or PDF.

%files		gust

#-----------------------------------------------------------------------
# revision 18615
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	medium
Summary:	medium scheme (plain, latex, recommended packages, some languages)
Requires(pre):	texlive-tlpkg
Requires:	texlive-collection-basic
Requires:	texlive-collection-binextra
Requires:	texlive-collection-context
Requires:	texlive-collection-documentation-english
Requires:	texlive-collection-fontutils
Requires:	texlive-collection-fontsrecommended
Requires:	texlive-collection-langczechslovak
Requires:	texlive-collection-langdutch
Requires:	texlive-collection-langfrench
Requires:	texlive-collection-langgerman
Requires:	texlive-collection-langitalian
Requires:	texlive-collection-langpolish
Requires:	texlive-collection-langportuguese
Requires:	texlive-collection-langspanish
Requires:	texlive-collection-langenglish
Requires:	texlive-collection-latex
Requires:	texlive-collection-latexrecommended
Requires:	texlive-collection-mathextra
Requires:	texlive-collection-metapost
Requires:	texlive-collection-texinfo
Requires:	texlive-collection-xetex
Requires:	texlive-collection-luatex
Requires:	texlive-collection-genericrecommended

%description	medium
This is the medium TeX Live collection: it contains plain TeX,
LaTeX, many recommended packages, and support for some widely-
used European languages.

%files		medium

#-----------------------------------------------------------------------
# revision 13822
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	minimal
Summary:	minimal scheme (plain only)
Requires(pre):	texlive-tlpkg
Requires:	texlive-collection-basic

%description	minimal
This is the minimal TeX Live scheme, with support for only
plain TeX. (No LaTeX macros.)  LuaTeX is included because Lua
scripts are used in TeX Live infrastructure.  This scheme
corresponds exactly to collection-basic.

%files		minimal

#-----------------------------------------------------------------------
# revision 21479
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	tetex
Summary:	teTeX scheme (more than medium, but nowhere near full)
Requires(pre):	texlive-tlpkg
Requires:	texlive-FAQ-en
Requires:	texlive-SIunits
Requires:	texlive-acronym
Requires:	texlive-amslatex-primer
Requires:	texlive-bbm
Requires:	texlive-bbm-macros
Requires:	texlive-bbold
Requires:	texlive-bibtex8
Requires:	texlive-ctie
Requires:	texlive-detex
Requires:	texlive-dtl
Requires:	texlive-dvi2tty
Requires:	texlive-dvicopy
Requires:	texlive-dvidvi
Requires:	texlive-dviljk
Requires:	texlive-patgen
Requires:	texlive-pdftools
Requires:	texlive-seetexk
Requires:	texlive-tie
Requires:	texlive-web
Requires:	texlive-cmbright
Requires:	texlive-cweb
Requires:	texlive-eplain
Requires:	texlive-eulervm
Requires:	texlive-gentle
Requires:	texlive-lshort-english
Requires:	texlive-mathmode
Requires:	texlive-mltex
Requires:	texlive-multirow
Requires:	texlive-nomencl
Requires:	texlive-pst-pdf
Requires:	texlive-pstricks-tutorial
Requires:	texlive-rsfs
Requires:	texlive-subfigure
Requires:	texlive-supertabular
Requires:	texlive-tamethebeast
Requires:	texlive-tds
Requires:	texlive-tex-refs
Requires:	texlive-collection-basic
Requires:	texlive-collection-context
Requires:	texlive-collection-documentation-base
Requires:	texlive-collection-fontutils
Requires:	texlive-collection-fontsrecommended
Requires:	texlive-collection-genericrecommended
Requires:	texlive-collection-langcjk
Requires:	texlive-collection-langcroatian
Requires:	texlive-collection-langcyrillic
Requires:	texlive-collection-langczechslovak
Requires:	texlive-collection-langdanish
Requires:	texlive-collection-langdutch
Requires:	texlive-collection-langfinnish
Requires:	texlive-collection-langfrench
Requires:	texlive-collection-langgerman
Requires:	texlive-collection-langgreek
Requires:	texlive-collection-langhungarian
Requires:	texlive-collection-langitalian
Requires:	texlive-collection-langlatin
Requires:	texlive-collection-langmongolian
Requires:	texlive-collection-langnorwegian
Requires:	texlive-collection-langother
Requires:	texlive-collection-langpolish
Requires:	texlive-collection-langportuguese
Requires:	texlive-collection-langspanish
Requires:	texlive-collection-langswedish
Requires:	texlive-collection-langenglish
Requires:	texlive-collection-langvietnamese
Requires:	texlive-collection-latex
Requires:	texlive-collection-latexrecommended
Requires:	texlive-collection-mathextra
Requires:	texlive-collection-metapost
Requires:	texlive-collection-omega
Requires:	texlive-collection-pictures
Requires:	texlive-collection-pstricks
Requires:	texlive-collection-texinfo
%rename tetex
%rename texlive-dviutils

%description	tetex
TeX Live scheme nearly equivalent to the teTeX distribution
that was maintained by Thomas Esser.

%posttrans
    %{_sbindir}/texlive.post -

%files		tetex

#-----------------------------------------------------------------------
# revision 13822
# category Scheme
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
%package	xml
Summary:	XML scheme
Requires(pre):	texlive-tlpkg
Requires:	texlive-context
Requires:	texlive-jadetex
Requires:	texlive-ltxmisc
Requires:	texlive-marvosym
Requires:	texlive-marvosym
Requires:	texlive-metapost
Requires:	texlive-passivetex
Requires:	texlive-rotating
Requires:	texlive-stmaryrd
Requires:	texlive-tex4ht
Requires:	texlive-tipa
Requires:	texlive-ucs
Requires:	texlive-wasy
Requires:	texlive-wasysym
Requires:	texlive-xmltex
Requires:	texlive-collection-basic
Requires:	texlive-collection-fontsrecommended
Requires:	texlive-collection-latex
Requires:	texlive-collection-omega

%description	xml
This contains the things you need to do XML-related work,
including PassiveTeX, JadeTeX, ConTeXt and Omega.

%files		xml

#-----------------------------------------------------------------------
%prep
%setup -c -a0 -a1 -a2 -a3 -a4 -a5 -a6 -a7

%build

%install



%changelog
* Tue Mar 03 2015 Denis Silakov <denis.silakov@rosalab.ru> 20111101-7
+ Revision: 3968b75
- MassBuild#674: Increase release tag


